<div class="container-fluid">
    <div class="row">
        <div class="col-sm-8">
            <div class="card">
                <div class="card-header">
                    Food Item's in Your cart
                </div>
            </div>
            <div id="food-item-cart" class="card">
            {{#each foodItem}}
                <div class="card-body">
                    <div class="row">
                        <div class="col-sm-1 cart-col-style" >
                            <button type="button" class="close" aria-label="Close" onclick="removeProduct('{{this.pid}}')">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="col-sm-3">
                            <img src="images/food-items/{{this.img_location}}" height="60px" width="100px" alt="{{this.name}}">
                        </div>
                        <div class="col-sm-2 cart-col-style" >
                            {{this.name}} 
                        </div>
                        <div class="col-sm-2 cart-col-style" >
                            <span style="color: green;" > ₹ {{this.price}} </span> 
                        </div>
                        <div class="col-sm-2 cart-col-style" >
                             <div class="input-group input-group-sm mb-3">
                                 <input type="number" class="form-control inp-quantity" aria-label="Small" min="0" aria-describedby="inputGroup-sizing-sm" value={{this.quantity}}>
                             </div> 
                        </div>
                        <div class="col-sm-2 cart-col-style" >
                             <div class="input-group input-group-sm mb-3">
                                <input type="number" class="form-control" readonly aria-label="Small" aria-describedby="inputGroup-sizing-sm cart-total-price" value="{{getTotalPrice this.price this.quantity}}">
                                <div class="input-group-append">
                                    <span class="input-group-text"> ₹ </span>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            {{/each}}
            </div>
            <div class="card">
                <div class="card-footer text-muted">
                    <span id="msg-display" class="err-span">  </span>
                </div>
                <div class="card-body row">
                    <div class="col-sm-2">
                        {{foodItem.length}} items Selected
                    </div>
                    <div class="col-sm-3">
                        <span id="total-quantity">  </span> Number of Quantity 
                    </div>
                    <div class="col-sm-3">
                        <div class="input-group input-group-sm mb-3">
                            <div class="input-group-prepend">
                                <span class="input-group-text" id="inputGroup-sizing-sm"> Total Amount </span>
                            </div>
                            <input type="number" class="form-control" id="inp-total-price" readonly aria-label="Small" aria-describedby="inputGroup-sizing-sm">
                            <div class="input-group-append">
                                <span class="input-group-text"> ₹ </span>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-4">
                        <button class="btn btn btn-outline-primary btn-sm" onclick="addMoreProducts()"> Add products  </button>  
                        <button class="btn btn btn-outline-success btn-sm"> Order Now  </button>
                    </div>
                </div>
                
            </div>
            <hr>

        </div>
        <div class="col-sm-4">
            <div class="card">
                <div class="card-header">
                    Food Item's in Detail
                </div>
            </div>
            <div class="card">
                <div class="card-body">
                    This is some text within a card body.
                </div>
            </div>
            <hr>

        </div>
    </div>
</div>

<script>
    $( document ).ready(function() {       
        console.log( "document loaded" );

        $(".inp-quantity").on('change',function (e){
            let quatity = $(this).val();
        });
    });

    // this will remove the product from cart;
    async function removeProduct(pid){
        let removeRes = (await $.post('/api/remove-product-from-cart',{'pid':pid}));
        if(removeRes.status == 'success'){
            $("#msg-display").html('Product removed successfully');
            $("#food-item-cart").load(" #food-item-cart");

        }else{  
            if(removeRes.code == 1){
                $("#msg-display").html('oops something is missing please try again');

            }else if(removeRes.code == 2){
                $("#msg-display").html('Cart not Found');

            }else if(removeRes.code == 3){
                $("#msg-display").html('oops something went wrong please try again');
                
            }
        }

        setTimeout(function(){
            $("#msg-display").html('');
        },3000);
    }

    async function addMoreProducts(){
        window.location.href = '/food-items';
    }

    async function updatePrice(index,pid){
        let itemQuantity = $("#inp-food-quantity-cart").val();
        let cartUpdate = (await $.post('/api/add-cart',{"product":pid,"quantity":itemQuantity}));



        console.log(cartUpdate);
        {{!-- if(cartUpdate.status == 'success'){
            $("#order-err").html('Added to cart');
        }else{
            if(cartUpdate.code==6){
                $('#getCartForFood').modal('toggle');
                $("#login-modal").modal('show');
            }else if(cartUpdate.code==4){
                $("#order-success").html(cartUpdate.msg);
            }else if(cartUpdate.code==3 || cartUpdate.code==2 ){
                $("#order-err").html(cartUpdate.msg);
            }else if(cartUpdate.code==1){
                $("#order-err").html(cartUpdate.msg);
            }
            
            setTimeout(function(){
                $("#order-err").html('');
                $("#order-success").html('');
            },3000);
            
        }
        } --}}
        
    }

</script>

